Subject: Re: [next-20120823] NOHZ: local_softirq_pending 200 on s/r

From: Mike Galbraith <[email-masked]>
Date: Fri, 24 Aug 2012 09:26:08 +0200

On Thu, 2012-08-23 at 12:04 +0200, Sedat Dilek wrote:

> Jack Winter confirmed to see similiar NOHZ messages also on
> v3.4.9-rt17 kernel (CPU: Core2Duo when no suspend performed):
> 
> [15223.171585] NOHZ: local_softirq_pending 08

These can be caused by blocking while holding local_softirq_lock.

Even with per softirq threads, and then (yet more overhead) splitting
the lock to make sure one softirq type can't block another, _and_ only
griping if the lock for the pending softirq is _not_ held, seems the
little bugger can still be triggered very rarely by syn flood induced
handler bail/raise.  Annoying little gripe :)

-Mike